var		currentTime = new Date();
var		ncaccount;
var		onPage;
var		ncserver = "qa.netcycler.fi";
var		notFound = false;
var		replaceLinks = true;

function loadAccount()
{
	ncaccount = localStorage.getItem('ncaccount');
	$('#ncaccount').attr('value', ncaccount);
	console.log('loadAccount: '+ncaccount);
	
	if(notFound)
	{	
		notFound = false;
		$("#accountprompt").html("<strong>Verify Netcycler account email:</strong>");
	}
}

function saveAccount()
{
	ncaccount = $('#ncaccount').attr('value');
	console.log(ncaccount);
	localStorage.setItem('ncaccount', ncaccount);
}

function loadDone()
{	
	if(replaceLinks)
	{
		$('#container a').click(
			function(e)
			{
				e.preventDefault();
				loadPage(e.target.href);
			}
		);
	}
	
	console.log('loadDone: '+typeof(also));
	
	if(onPage == "start.html")
		loadAccount();
}

function loadPage(name)
{
	var		target = $('#container');
		
	if(name == undefined)
	{
		name = "start.html";
	}
	
	onPage = name;
	
	target.load(
		name,
		function()
		{
			loadDone();
		}
	);
}

function addOffer()
{
	var poster = $.post("http://"+ncserver+"/submit-item-image/commit/",
						{	"email": ncaccount,
						"id": currentTime.getTime() });

	currentTime = new Date();
	addPhoto();
}

function allDone()
{
	var poster = $.post("http://"+ncserver+"/submit-item-image/commit/",
						{	"email": ncaccount,
							"id": currentTime.getTime() });

	currentTime = new Date();
	loadPage('start.html');
}

function photoStatus(data, textStatus, jqXHR)
{
	var	status = jqXHR.status;
	
	console.log(textStatus);
	console.log(status);
	
	if(status == 200)
	{
		$("#uploadStatus").html("Photo Uploaded");
	}
	else
	{
		$("#uploadStatus").html("<strong>Upload Error</strong>");
	}
}

function processPhoto(img)
{
	try
	{
		loadPage("next.html");
	
	
//		 var poster = $.post("http://"+ncserver+"/submit-item-image/",
//							{	"email": ncaccount,
//								"id": currentTime.getTime(),
//								"photo": encodeURI(img) }, photoStatus);

		$.ajax({
        	type:		"POST",
	        url:		"http://"+ncserver+"/submit-item-image/",
	        data:		{	"email": ncaccount,
							"id": currentTime.getTime(),
							"photo": encodeURI(img) },
	        dataType:	"json",
    	    timeout:	10000, // in milliseconds
	        success: 	function(data)
							{
								$("#uploadStatus").html("Photo Uploaded");
				        	},
	        error:		function(request, status, err)
							{
								if(err == "Not Found")
								{	notFound = true;
									loadPage("start.html");
								}
								else
								{	$("#uploadStatus").html("<strong>Upload Error</strong>");
								}
							}
            });
	}
	catch(e)
	{
		alert(e);
	}
}


function addPhoto()
{
	//	$('#kuva').attr('src', 'uk-flag-s.png');
	
	console.log('Snapping');
	
	navigator.camera.getPicture(
		processPhoto,
		function (e)
		{
			navigator.notification.alert('No picture was taken: '+e, function() {}, "Netcycler Magic");
		},
		{
			quality: 50,
			targetWidth: 860,
		//	targetHeight: 860,
			sourceType:
			navigator.camera.PictureSourceType.CAMERA,	//	PHOTOLIBRARY,	//	CAMERA,
			destinationType: navigator.camera.DestinationType.DATA_URL	//	DATA_URL // FILE_URI
		}
	);
}


function addItem()
{
	saveAccount()
	addPhoto();
}

function navigate()
{
	var where = $('#whereToGo').attr('value');

	//var oldValue = localStorage.getItem('gotoURL');
	
	//console.log(oldValue);
	localStorage.setItem('gotoURL', where);
	console.log(where);
	location.href = where;
	//	x$(window).xhr('inner', where);
	//x$('#whereToGo').attr('value', oldValue);
}

function ncStartup()
{
	console.log('onLoad');
	//$('#whereToGo').attr('value', localStorage.getItem('gotoURL'));
	//loadPage('assets/start.html');

	window.ncPhoneGap = true;
	replaceLinks = false;
	
	var	target = $('#container');
	
	target.load(
		"assets/qacountry.html",
		function(){
				$('#js-link-fi').on('click', function(e){
				     e.preventDefault(e);
					navigator.app.loadUrl("http://qa.netcycler.fi/", 
					//navigator.app.loadUrl("http://fi.vli.netcycler-qa-hrd.appspot.com/",
						{wait: 0,
 						loadingDialog: "...!...!...", 
						loadUrlTimeoutValue: 60000,
						openExternal: false});
				}); 
				$('#js-link-uk').on('click', function(e){
				     e.preventDefault(e);
					navigator.app.loadUrl("http://qa.netcycler.co.uk/", 
						{wait: 0,
 						loadingDialog: "...!...!...", 
						loadUrlTimeoutValue: 60000,
						openExternal: false});
				}); 
				$('#js-link-de').on('click', function(e){
				     e.preventDefault(e);
					navigator.app.loadUrl("http://qa.netcycler.de/", 
						{wait: 0,
 						loadingDialog: "...!...!...", 
						loadUrlTimeoutValue: 60000,
						openExternal: false});
				}); 

		}
	);
     


}

//	document.addEventListener("DOMContentLoaded", ncStartup);
document.addEventListener("deviceready", ncStartup, false);
